bought a used iphone jailbroken and unlocked using blackra1n....

cymruambyth

macrumors newbie
Original poster
Jul 28, 2010
27
0
Having never owned an apple product before, I do not have itunes on my pc. My question is, can I just download the latest itunes and be sure to keep the jailbreak, unlock and baseband or will something automaticaly update? If I need an older version of itunes, which one and where to get from?

Many thanks
 

noah82

macrumors 6502a
Oct 16, 2008
781
169
San Diego, CA
Nothing will "automatically" update. You have to do the updates yourself, so don't click anything that you shouldn't.
 

Applejuiced

macrumors Westmere
Apr 16, 2008
40,672
6,531
At the iPhone hacks section.
Yes, like said above.
You can install itunes and transfer songs and everything to your iphone.
It will prompt you that there is a firmware update for your iphone when you plug it in.
Just click no or cancell and click the box that says do not ask me again.
If you update it thru itunes it will lock up again.
 

cymruambyth

macrumors newbie
Original poster
Jul 28, 2010
27
0
Cheers guys. I thought I had read on here that the baseband(?) automaticaly updates if using the very latest itunes...
 

Applejuiced

macrumors Westmere
Apr 16, 2008
40,672
6,531
At the iPhone hacks section.
Cheers guys. I thought I had read on here that the baseband(?) automaticaly updates if using the very latest itunes...
Nope, nothing updates automaticly.
You have to click yes, accept, wait for the firmware to download and then install the update.
Many people think its "accidental" but in reality they're just not informed and think that once the iphone is JB and unlock it will stay like that even after a software update.
 

Vinnie Madrox

macrumors 6502
Dec 23, 2009
297
0
HowELL, NJ
You said you have an iphone that was jailbroken with Blackra1n....to me that says you have a firmware 3.1.2 or lower. If i'm not mistaken, you can't use the latest itunes. you have to download an older version. I think 8.x

am i right?
 

Applejuiced

macrumors Westmere
Apr 16, 2008
40,672
6,531
At the iPhone hacks section.
You said you have an iphone that was jailbroken with Blackra1n....to me that says you have a firmware 3.1.2 or lower. If i'm not mistaken, you can't use the latest itunes. you have to download an older version. I think 8.x

am i right?
Nope, you're off.
He can use any itunes version he wants including the latest one without any problems.
 

cymruambyth

macrumors newbie
Original poster
Jul 28, 2010
27
0
You said you have an iphone that was jailbroken with Blackra1n....to me that says you have a firmware 3.1.2 or lower. If i'm not mistaken, you can't use the latest itunes. you have to download an older version. I think 8.x

am i right?
Hi. I haven't recieved the phone yet (If they actually send this one!), so don't know the firmware. thats interesting though. What kind of age would that put the phone at then? Cheers
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.